@buynomics/bn-devtools
======================

Buynomics Developer Tools

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/@buynomics/bn-devtools.svg)](https://npmjs.org/package/@buynomics/bn-devtools)
[![Downloads/week](https://img.shields.io/npm/dw/@buynomics/bn-devtools.svg)](https://npmjs.org/package/@buynomics/bn-devtools)
[![License](https://img.shields.io/npm/l/@buynomics/bn-devtools.svg)](https://github.com/buynomics/bn-devtools/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @buynomics/bn-devtools
$ bn COMMAND
running command...
$ bn (-v|--version|version)
@buynomics/bn-devtools/0.0.5 linux-x64 node-v11.6.0
$ bn --help [COMMAND]
USAGE
  $ bn COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`bn help [COMMAND]`](#bn-help-command)
* [`bn init PRESET`](#bn-init-preset)

## `bn help [COMMAND]`

display help for bn

```
USAGE
  $ bn help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v2.1.4/src/commands/help.ts)_

## `bn init PRESET`

Initialise a Buynomics project with a preset

```
USAGE
  $ bn init PRESET

ARGUMENTS
  PRESET  (react|service) Preset to use to scaffold the project

OPTIONS
  -p, --port=port  [default: 3000] Port to listen on
```

_See code: [src/commands/init.js](https://github.com/buynomics/bn-devtools/blob/v0.0.5/src/commands/init.js)_
<!-- commandsstop -->
