const request = require('supertest')
let server
describe('server basic test', () => {
  beforeAll(async () => {
    server = await require('.').start()
  })
  afterEach(() => {
    server.close()
  })
  it('should pass health check', async () => {
    const response = await request(server).get('/_healthz')
    expect(response.status).toEqual(200)
  })
})
