module.exports = {
  devDependencies: [
    'supertest',
    'babel-eslint',
    'eslint',
    'eslint-config-prettier',
    'eslint-config-walmart',
    'eslint-plugin-filenames',
    'eslint-plugin-jest',
    'eslint-plugin-unicorn',
    'jest',
    'prettier',
    '@types/jest'
  ],
  dependencies: [
    '@barath/koa-keycloak',
    'koa',
    'bunyan',
    'config',
    'js-yaml',
    'dotenv',
    'koa-bodyparser',
    'koa-json-error',
    'koa-router',
    'koa-simple-healthcheck',
    'fs-extra',
    'consul'
  ]
}
