const request = require('supertest')
let server
describe('server basic test', () => {
  beforeAll(async () => {
    server = await require('..').start()
  })
  afterEach(() => {
    server.close()
  })
  it('should not allow access to /api/hello', async () => {
    const response = await request(server).get('/api/hello')
    expect(response.status).toEqual(200)
  })
})